Documentation Index

Fetch the complete documentation index at: https://docs.zilliant.com/llms.txt

Use this file to discover all available pages before exploring further.

Search lookup tables

Prev Next
Post
/lookupTables/search

Searches and retrieves a list of tables based on the query.

Security
HTTP
Type bearer

OAuth access token. For details, read Obtain or refresh an OAuth token.

Body parameters

Example of request payload as resource.

Expand All
object
Example{ "type": "Search", "filter": "", "include": [], "elements": { "bda": [], "bra": [] }, "sort": [], "offset": 0, "limit": 1 }
type
string
ExampleSearch
filter
string
Example
include
Array of string
string
elements
object
bda
Array of string
string
bra
Array of string
string
sort
Array of string
string
offset
integer
Example0
limit
integer
Example1
Responses
200

Returns the list of tables as a bundle based on the request payload example.

{
  "total": 53,
  "type": "Bundle",
  "entry": [
    {
      "id": "aHR0cDovL3d3dy5pbm1pbmRjbG91ZC5jb20vYXBwbGljYXRpb24vc2NoZW1hLm93bCNMb29rdXBUYWJsZV9NRVNTQUdFX1BST1BFUlRZ",
      "type": "LookupTable",
      "uri": "http://www.inmindcloud.com/application/schema.owl#LookupTable_MESSAGE_PROPERTY",
      "objectName": "MESSAGE_PROPERTY",
      "objectId": "LookupTable_MESSAGE_PROPERTY",
      "objectExternalId": [],
      "objectERPId": [],
      "objectDateOfCreation": 1592825603534,
      "deltaTable": false,
      "objectDateOfUpdate": 1713872981858,
      "lookupTableDescription": [],
      "lookupTableFM": [],
      "lookupTableName": "MESSAGE_PROPERTY",
      "lookupTablePermissionRestrict": [],
      "validFrom": [],
      "validTo": [],
      "lookupTableEditable": true,
      "lookupTableHidden": false,
      "lookupTableType": 2,
      "lookupTableValidityBased": false,
      "objectLastModifiedStateId": "1713872981773",
      "hasAllowRead": [],
      "hasAllowDelete": [],
      "hasAllowEdit": [],
      "includesLookupRecord": [],
      "hasLookupTableStatus": [
        "http://www.inmindcloud.com/application/schema.owl#LOOKUP_TABLE_ACTIVE"
      ],
      "containsLastModifiedUser": [
        "https://mxdev03xtvs7s4vl2.hana.ondemand.com/Employee#7ea026e208134e63950ca706a8d252a8"
      ],
      "definesAnnotation": [],
      "includesLookupField": [
        "http://www.inmindcloud.com/application/schema.owl#LookupField_MESSAGE_PROPERTY_VALUE",
        "http://www.inmindcloud.com/application/schema.owl#LookupField_MESSAGE_PROPERTY_id",
        "http://www.inmindcloud.com/application/schema.owl#LookupField_MESSAGE_PROPERTY_status",
        "http://www.inmindcloud.com/application/schema.owl#LookupField_MESSAGE_PROPERTY_LANGUAGE",
        "http://www.inmindcloud.com/application/schema.owl#LookupField_MESSAGE_PROPERTY_last_modified",
        "http://www.inmindcloud.com/application/schema.owl#LookupField_MESSAGE_PROPERTY_PROPERTY"
      ],
      "objectFollowedByUser": []
    }
  ],
  "include": []
}
Expand All
object
example
object
type
string
ExampleBundle
total
integer
Example1
entry
object
total
integer
Example53
type
string
ExampleBundle
entry
Array of object
object
id
string
ExampleaHR0cDovL3d3dy5pbm1pbmRjbG91ZC5jb20vYXBwbGljYXRpb24vc2NoZW1hLm93bCNMb29rdXBUYWJsZV9NRVNTQUdFX1BST1BFUlRZ
type
string
ExampleLookupTable
uri
string
Examplehttp://www.inmindcloud.com/application/schema.owl#LookupTable_MESSAGE_PROPERTY
objectName
string
ExampleMESSAGE_PROPERTY
objectId
string
ExampleLookupTable_MESSAGE_PROPERTY
objectExternalId
Array of string
string
objectERPId
Array of string
string
objectDateOfCreation
integer
Example1592825603534
deltaTable
boolean
Examplefalse
objectDateOfUpdate
integer
Example1713872981858
lookupTableDescription
Array of string
string
lookupTableFM
Array of string
string
lookupTableName
string
ExampleMESSAGE_PROPERTY
lookupTablePermissionRestrict
Array of string
string
validFrom
Array of string
string
validTo
Array of string
string
lookupTableEditable
boolean
Exampletrue
lookupTableHidden
boolean
Examplefalse
lookupTableType
integer
Example2
lookupTableValidityBased
boolean
Examplefalse
objectLastModifiedStateId
string
Example1713872981773
hasAllowRead
Array of string
string
hasAllowDelete
Array of string
string
hasAllowEdit
Array of string
string
includesLookupRecord
Array of string
string
hasLookupTableStatus
Array of string
string
containsLastModifiedUser
Array of string
string
definesAnnotation
Array of string
string
includesLookupField
Array of string
string
objectFollowedByUser
Array of string
string
include
Array of string
string